Arduino

Reference Language | Libraries | Comparison | Changes

## SoftwareSerial: int read()

#### Description

Return a character that was received on the RX pin of the software serial port. Note that only one SoftwareSerial instance can receive incoming data at a time (select which one with the listen() function).

#### Parameters

none

#### Returns

the character read, or -1 if none is available

#### Example

SoftwareSerial mySerial(6, 7);
void setup()
{
mySerial.begin(9600);
}
void loop()
{
char c = mySerial.read();
}
[Get Code]

#### See also

- SoftwareSerial()
- begin()
- print()
- println()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

©Arduino | Edit Page | Page History | Printable View | All Recent Site Changes